Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.logging
[Java] Interface StandardOutputListener

    public interface StandardOutputListener

A `StandardOutputListener` receives text written by Gradle's logging system to standard output or error.

Method Summary
`void` | `onOutput(CharSequence output)` Called when some output is written by the logging system.

Method Detail

### onOutput

    public void onOutput(CharSequence output)

  Called when some output is written by the logging system.
  Parameters:
    `output` - The text.

Gradle API 1.10